aboutsummaryrefslogtreecommitdiff
path: root/v2/src/bin/collections
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2023-04-05 16:14:00 -0300
committerEuAndreh <eu@euandre.org>2023-04-05 16:14:00 -0300
commit24e24b49fb6375189cfa527a113eb965087a293a (patch)
treefc75f8267a22f6473432ee6b07c4013561c303dc /v2/src/bin/collections
parentv2: Recove h[2-6] anchor link and icon (diff)
downloadeuandre.org-24e24b49fb6375189cfa527a113eb965087a293a.tar.gz
euandre.org-24e24b49fb6375189cfa527a113eb965087a293a.tar.xz
v2: Support Atom feeds and collection translations
Diffstat (limited to '')
-rwxr-xr-xv2/src/bin/collections69
1 files changed, 69 insertions, 0 deletions
diff --git a/v2/src/bin/collections b/v2/src/bin/collections
new file mode 100755
index 0000000..1df0c39
--- /dev/null
+++ b/v2/src/bin/collections
@@ -0,0 +1,69 @@
+#!/bin/sh
+set -eu
+
+usage() {
+ cat <<-'EOF'
+ Usage:
+ collections
+ collections -h
+ EOF
+}
+
+help() {
+ cat <<-'EOF'
+
+
+ Options:
+ -h, --help show this message
+
+
+ List the registered collections to STDOUT.
+
+ This is done by emiting the content of the "$COLLECTIONS"
+ environment variable.
+
+
+ Examples:
+
+ Just run it:
+
+ $ collections
+ tils
+ pastebins
+ EOF
+}
+
+
+for flag in "$@"; do
+ case "$flag" in
+ --)
+ break
+ ;;
+ --help)
+ usage
+ help
+ exit
+ ;;
+ *)
+ ;;
+ esac
+done
+
+while getopts 'h' flag; do
+ case "$flag" in
+ h)
+ usage
+ help
+ exit
+ ;;
+ *)
+ usage >&2
+ exit 2
+ esac
+done
+shift $((OPTIND - 1))
+
+
+echo "$COLLECTIONS" |
+ tr ' ' '\n' |
+ grep .